tigase.util

## Class TimingRecorder

- java.lang.Object
- - tigase.util.TimingRecorder

-     public class TimingRecorder
      extends Object

  Author:
    kobit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCURACY_PROP_DEF` Field description
    `static String` | `ACCURACY_PROP_KEY` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimingRecorder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `endTiming(String id)` Method description
    `static long` | `getAverageTiming(String id)` Method description
    `static long` | `getMaxRecordedTiming(String id)` Method description
    `static void` | `initTiming(String id, int accuracy)` Method description
    `static void` | `startTiming(String id)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCURACY_PROP_DEF

          public static final int ACCURACY_PROP_DEF

      Field description
      See Also:
        Constant Field Values

    - #### ACCURACY_PROP_KEY

          public static final String ACCURACY_PROP_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimingRecorder

          public TimingRecorder()

  - ### Method Detail

    - #### endTiming

          public static void endTiming(String id)

      Method description
      Parameters:
        `id` -

    - #### initTiming

          public static void initTiming(String id,
                                        int accuracy)

      Method description
      Parameters:
        `id` -
        `accuracy` -

    - #### startTiming

          public static void startTiming(String id)

      Method description
      Parameters:
        `id` -

    - #### getAverageTiming

          public static long getAverageTiming(String id)

      Method description
      Parameters:
        `id` -

    - #### getMaxRecordedTiming

          public static long getMaxRecordedTiming(String id)

      Method description
      Parameters:
        `id` -

Copyright © 2017 "Tigase, Inc.". All rights reserved.